Skip to main content
GET
/
api
/
tiktok
/
profile
/
videos
Get TikTok profile videos
curl --request GET \
  --url https://creatorcrawl.com/api/tiktok/profile/videos \
  --header 'Authorization: Bearer <token>'

Authorizations

Authorization
string
header
required

API key from your CreatorCrawl dashboard

Query Parameters

handle
string
required

TikTok handle (e.g. stoolpresidente)

user_id
string

TikTok user id. Use this for faster responses.

sort_by
enum<string>

What to sort by (latest or popular)

Available options:
latest,
popular
max_cursor
string

Cursor to get more videos. Get max_cursor from previous response.

region
string

Region (Country) for the proxy. Defaults to US.

trim
enum<string>

Set to true for a trimmed down version of the response

Available options:
true,
false

Response

TikTok profile videos data